Skip to main content
GET
List contract results from all contracts on the network

Query Parameters

from
string

Account ID or EVM address executing the contract

Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}|(0x)?[A-Fa-f0-9]{40}$
block.hash
string

The block's hash. If multiple values are provided the last value will be the only value used.

Pattern: ^(eq:)?(0x)?([0-9A-Fa-f]{64}|[0-9A-Fa-f]{96})$
block.number
string

The block's number

Pattern: ^(eq:)?(\d{1,19}|0x[a-fA-f0-9]+)$
hbar
boolean
default:true

Controls the unit used for monetary fields (amount, gas_price, max_fee_per_gas, max_priority_fee_per_gas). When true (default), values are returned in tinybars. When false, values are returned in weibars (the native Ethereum unit, where 1 tinybar = 10,000,000,000 weibars).

internal
boolean
default:false

Whether to include child transactions or not

limit
integer<int32>
default:25

The maximum number of items to return

Required range: 1 <= x <= 100
order
enum<string>
default:desc

The order in which items are listed

Available options:
asc,
desc
timestamp
string[]

The consensus timestamp as a Unix timestamp in seconds.nanoseconds format with an optional comparison operator. See unixtimestamp.com for a simple way to convert a date to the 'seconds' part of the Unix time.

Pattern: ^((eq|gt|gte|lt|lte|ne):)?\d{1,10}(\.\d{1,9})?$
transaction.index
integer<int32>

The transaction index in the block

Required range: x >= 0

Response

OK

results
object[]